##Articles

####Adding an article

1. Go to "Articles > Articles"  
2. Click "Add article" in the upper right  
3. The "Author info" block is information about the Author and the source of the story.  
    - If the author is in the system, select their name from the "Author" field. Otherwise, put their name in the "Guest Author" field. Do not include "BY" or anything else. Just their name.   
    - In case of shared bylines you can select a name from the "Author" field and put a second name in the "Guest Author" field, or put both names in the "Guest Author" field. **Example: "Jane Doe and John Smith"**  
6. The "Header" block defines your headlines.   
    - "Kicker": an optional field to add a kicker or overline, if desired.  
    - "Headline": the story headline. All stories must have a headline.  
    - "Subhead/Deck": an optional secondary headline below the main headline.  
7. The "Content" block defines the main story content.  
    - "Summary": A strong, catchy teaser/summary should be used. It will be seen on the articles list page, on the home page, anywhere the story is syndicated, and possibly in search engine results. The importance of the teaser can not be overstated. It is how people will decide whether or not they want to read the full story.  
    - "Body": The body of the story.  
    - "Pull quote": an optional field allowing you to pull a quote. It will be displayed much like a pull quote in print.  
    - "End Note": a short block of text appearing after the story.  
8. "Routing" determines where the story should appear.
	- "Destinations" includes your publications: blogs, articles, etc. Tango supports multiple sub-publications within one parent publication, as well as keeping different types of content organized.
	- "Sections" are simply categories. They can be used by one or more destinations. All stories should be mapped and categorized to the most relevant section(s). Do not select irrelevant or only tangentially relevant sections. Doing so is a disservice to readers interested in that category, and damages our data integrity.
9. The "Related" block allows us to define what the story is connected to.
	- "Galleries" allows you to connect the story to one or more related photo sets.
	- "Related articles" allows you to cross-reference an article with other, related articles. Again, do not connect only tangentially related articles. Doing so is a disservice to the readers and only creates a mess.
10. The "Meta" block is for meta-information about the story, particularly publication status.
11. "Admin fields" is collapsed by default, and you should rarely need to touch them. If you do...
	- Slug is the story slug and is used for URLs. It should auto-populate based on the headline. If you change it, you will break existing URLs.
	- Enable comments allows you to shut down comments on an article. Because we have sophisticated comment handling already, you should never need to turn this off.
12. Bulk photo uploads allows for uploading and attaching multiple images to an article at once.
13. Article Images are optional fields that allow you to attach photos one-at-a-time directly to a story, with a caption and a byline. Bulk-uploaded photos will also appear here after they have been uploaded.
	- Article images can have a caption and a byline. Both are optional.
	- They can be reordered by dragging and dropping them in the order you would like, or by entering digits in the "Order" field.
14. Sidebars are optional fields that allow you to quickly create a sidebar for the story. Sidebars have their own title, body, and can have an image.
15. Videos allows you to connect video directly to a story. The application will handle sizing, placement, and serving the best possible format to the web site and mobile devices.
	- Videos from YouTube and Vimeo are supported. 
	- Simply put the URL the video is at, <strong>not the embed code</strong>, into the relevant field. Note: Avoid mobile Youtube URLs. They are unreliable.
	- By default, the video title and description will show on site. If this is not what you want, check "&quot;"Hide title and description"

## Briefs
Briefs are short bits of news that either don't merit a full article or are being sent out as a "News flash".

- They can be linked to an another, larger article
- They can also be sent to Twitter automatically.

## Destinations
Destinations allow you to define different publications within in the site. You will need at least one destination.

- Destinations must have a title
- slug will be filled in automatically from the title
- Summary is optional. It allows you to describe the destination.
- If the destination has only one author, you can provide that author.
- Destinations is also where you mark that a destination is a blog, and where you can turn destinations on and off.


